﻿@import url('https://fonts.googleapis.com/css2?family=Baloo+2:wght@400..800&display=swap');

* {
    font-family: "Baloo 2", sans-serif;
}

body {
    padding-top: 0px;
    padding-bottom: 20px;
    color: #333333 !important;
}

.baloo-2-400 {
    font-family: "Baloo 2", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.baloo-2-500 {
    font-family: "Baloo 2", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

.baloo-2-600 {
    font-family: "Baloo 2", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.baloo-2-700 {
    font-family: "Baloo 2", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
}

.baloo-2-800 {
    font-family: "Baloo 2", sans-serif;
    font-optical-sizing: auto;
    font-weight: 800;
    font-style: normal;
}


/* Variables de uso general*/
:root {
    --color-principal-empresa-50: #fffbea;
    --color-principal-empresa-100: #fff3c5;
    --color-principal-empresa-200: #ffe687;
    --color-principal-empresa-300: #ffd448;
    --color-principal-empresa-400: #ffbf1e;
    --color-principal-empresa-500: #fc9d04;
    --color-principal-empresa-600: #ef7d00;
    --color-principal-empresa-700: #b95004;
    --color-principal-empresa-800: #963d0a;
    --color-principal-empresa-900: #7b330c;
    --color-principal-empresa-950: #471801;
    --color-secundario-empresa-50: #edf7ff;
    --color-secundario-empresa-100: #d6ecff;
    --color-secundario-empresa-200: #b7dfff;
    --color-secundario-empresa-300: #85ccff;
    --color-secundario-empresa-400: #4cafff;
    --color-secundario-empresa-500: #228bff;
    --color-secundario-empresa-600: #0b6aff;
    --color-secundario-empresa-700: #0452f1;
    --color-secundario-empresa-800: #0b43c2;
    --color-secundario-empresa-900: #103c98;
    --color-secundario-empresa-950: #0f265c;
    --color-terciario-empresa-50: #f6f6f6;
    --color-terciario-empresa-100: #e7e7e7;
    --color-terciario-empresa-200: #d1d1d1;
    --color-terciario-empresa-300: #b0b0b0;
    --color-terciario-empresa-400: #868686;
    --color-terciario-empresa-500: #6d6d6d;
    --color-terciario-empresa-600: #5d5d5d;
    --color-terciario-empresa-700: #4f4f4f;
    --color-terciario-empresa-800: #454545;
    --color-terciario-empresa-900: #3d3d3d;
    --color-terciario-empresa-950: #262626;
    --gradiente-alpha: linear-gradient(90deg, var(--color-principal-empresa-600) 0%, var(--color-secundario-empresa-600) 100%);
    --colo-base-panel: #ffffff;
}

/*Customized highlighter text color*/
::selection {
    background: var(--color-secundario-empresa-600);
    color: #f6f6f6;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    font-family: "Baloo 2", Arial, sans-serif;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
/*comentareado ALEJANDRA*/
/*input,
select,
textarea {
    max-width: 280px;
}*/

.colorHeader {
    background-color: var(--color-principal-empresa-600);
    color: white;
}

.light-color-header {
    background-color: var(--color-secundario-empresa-600) !important;
    color: white !important;
}

.fondo {
    background-color: var(--colo-base-panel) !important;
}

.padding-col-top {
    padding: 15px 0 15px 0;
}

.padding-3p {
    padding: 3px 3px 3px 3px;
}

.padding-5 {
    padding: 5% 5% 5% 5%;
}

.padding-5p {
    padding: 5px 5px 5px 5px;
}

.padding-10 {
    padding: 10% 10% 10% 10%;
}

.padding-10p {
    padding: 10px 10px 10px 10px;
}

.padding-15 {
    padding: 15% 15% 15% 15%;
}

.padding-20 {
    padding: 20% 20% 20% 20%;
}

.padding-login-ajustado {
    padding: 2% 4% 2% 4% !important;
    margin: 2% 0 2% 0 !important;
}

.centered-thru-margin {
    margin: 0 33% 0 33%;
}

.margin-10 {
    margin: 2%;
}

.padding-login-laterales {
    padding: 2% 10% 2% 10% !important;
}

.padding-login-interno {
    padding: 2% 33% 2% 33% !important;
}

.padding-login-externo {
    padding: 5% 20% 2% 20% !important;
}

/*Fieldsets*/
fieldset.bloque-detalle-pj {
    border: 1px groove #ddd;
    padding: 0 1.4em 1.4em 1.4em;
    margin: 0 0 1.5em 0;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
}

legend.titulo-detalle-pj {
    width: inherit;
    padding: 0 10px;
    border-bottom: none;
}

.titulo-anexos {
    margin: 5px 0px 20px;
    text-align: center;
}

/*Comportamiento botones*/
.boton-home {
    background-color: var(--color-secundario-empresa-950);
    color: white;
    text-decoration: none;
}

    .boton-home:hover {
        background-color: var(--color-terciario-empresa-400);
        color: white !important;
    }

.boton-login {
    background-color: var(--color-principal-empresa-600);
    color: white;
    text-decoration: none;
}

    .boton-login:hover {
        background-color: var(--color-principal-empresa-700);
        color: white !important;
    }

.btn-form {
    background-color: var(--color-secundario-empresa-600);
    color: white;
    text-decoration: none;
}

    .btn-form:hover {
        background-color: var(--color-secundario-empresa-400);
        color: white !important;
    }

.barra-titulo {
    background-color: var(--color-secundario-empresa-600);
    color: white;
    padding: 1% 1% 1% 1%;
    text-align: left !important;
}

.padding-tabla-interna {
    padding: 2% 0% 0% 0%;
}

.padding-btn-buscar {
    padding: 2% 0% 2% 15px;
}

.marco-suave {
    border: 2px dotted #8E8E8E;
    border-top: none;
}

.marco-suave-lista {
    border: 2px dotted #8E8E8E;
}

.padding-header-busqueda-form {
    padding: 0 2% 1% 2%;
}

.no-visible {
    display: none;
}

.success-dotted-frame {
    border: 2px dotted green;
}

.error-dotted-frame {
    border: 2px dotted red;
}

.question-error {
    border: 2px solid red; /* Borde rojo de 2px */
    border-radius: 5px; /* Radio de borde de 5px */
    box-shadow: 0 0 5px red; /* Sombra roja */
}

.info-dotted-frame {
    border: 2px dotted blue;
}

.warning-dotted-frame {
    border: 2px dotted gold;
    padding: 1px 2px 1px 2px;
}

.text-color {
    color: #333333;
}

.no-action-cursor {
    cursor: not-allowed;
}

.hand-pointer {
    cursor: pointer;
}

/*Comportamiento tabs de formularios*/
.nav-tabs > li.active > a {
    background-color: var(--color-principal-empresa-600) !important;
    border-bottom-color: transparent;
    border: 1px solid #ddd;
    cursor: default;
    color: white !important;
}

.nav-tabs {
    background-color: var(--color-secundario-empresa-700);
    color: #FFFFFF;
}

.tab-content {
    padding: 5px;
}

.nav-tabs > li > a {
    color: #ffffff;
    border: medium none;
}

    .nav-tabs > li > a:hover {
        background-color: var(--color-secundario-empresa-600) !important;
        border: medium none;
        border-radius: 0;
        color: #fff;
    }

.nav-tabs > li.active > a:hover {
    color: #fff !important;
    cursor: default;
    background-color: var(--color-principal-empresa-600) !important;
    border: 1px solid #ddd;
    border-bottom-color: transparent;
}

.nav-tabs > li.active > a:focus {
    color: #fff !important;
    cursor: default;
    background-color: var(--color-principal-empresa-800) !important;
    border: 1px solid #ddd;
    border-bottom-color: transparent;
}

hr {
    height: 2px !important;
    width: 100%;
    display: block;
    margin: 9px 0;
    overflow: hidden;
    background: var(--gradiente-alpha) !important;
}

.nuevoRegistro:link, .cambioPsswd:link {
    color: var(--color-secundario-empresa);
    background-color: transparent;
    text-decoration: none;
}

.nuevoRegistro:visited, .cambioPsswd:visited {
    color: var(--color-principal-empresa-950);
    background-color: transparent;
    text-decoration: none;
}

.nuevoRegistro:hover, .cambioPsswd:hover {
    color: var(--color-secundario-empresa);
    background-color: transparent;
}

.nuevoRegistro:active, .cambioPsswd:active {
    color: var(--color-principal-empresa-600);
    background-color: transparent;
    text-decoration: none;
}

.text-left {
    text-align: justify;
    text-justify: auto;
}

input[type=radio] {
    accent-color: var(--color-secundario-empresa);
}

.modal-list-frame {
    padding: 5% 5% 5% 5%;
    border-radius: 6px;
    border: 2px solid var(--color-secundario-empresa);
    background: white;
}

    .modal-list-frame > li {
        list-style: circle;
        list-style-position: inside;
    }

.list-display {
    padding: 0;
    margin: 0;
    list-style: none;
    counter-reset: item;
}

    .list-display li {
        counter-increment: item;
        position: relative;
        margin-bottom: 1em; /* Espacio entre los elementos de la lista */
        padding-left: 1.5em; /* Espacio para el número */
    }

        .list-display li::before {
            content: counter(item) ".";
            position: absolute;
            left: 0;
            top: 0;
        }

.icon-info {
    padding: 0 5px;
}

.footnote {
    font-size: smaller;
    vertical-align: super;
}

.footnotes {
    margin-top: 20px;
    border-top: 1px solid #000;
    padding-top: 10px;
    font-size: smaller;
}

.panel-heading-custom {
    color: white !important;
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    background: var(--color-principal-empresa-600) !important;
}

.panel-default-custom {
    border-color: var(--color-principal-empresa-600) !important;
}

    .panel-default-custom > .panel-heading {
        color: #333;
        background-color: #f5f5f5;
        border-color: var(--color-principal-empresa-600);
    }

        .panel-default-custom > .panel-heading + .panel-collapse > .panel-body {
            border-top-color: var(--color-principal-empresa-600);
        }

        .panel-default-custom > .panel-heading .badge {
            color: #f5f5f5;
            background-color: #333;
        }

    .panel-default-custom > .panel-footer + .panel-collapse > .panel-body {
        border-bottom-color: var(--color-principal-empresa-600);
    }
